// circldoc.h : interface of the CCircleDoc class
//
/////////////////////////////////////////////////////////////////////////////

class CCircle : public CObject
	{
	DECLARE_SERIAL (CCircle)
		
	private:
		RECT		m_rect;		// bounding rect
		COLORREF	m_colorref;	// rgb color
		
	public:
		CCircle (void);
		void Draw (CDC *pDC);
		void TextOut (CDC *pDC);
		COLORREF SetColor (COLORREF rgbNewColor);
		COLORREF GetColor(void);
		
		virtual void Serialize (CArchive &ar);
		CCircle (const CCircle &c) ;  // explicit copy ctor required for CObject-derived classes
	};
		

class CCircleDoc : public CDocument
	{
	protected: // create from serialization only
		CCircleDoc();
		DECLARE_DYNCREATE(CCircleDoc)

	// Attributes
	private:
		CCircle	m_circle;

	// Operations
	public:
		CCircle GetCircle (void) const;

	// Implementation
	public:
		virtual ~CCircleDoc();
		virtual void Serialize(CArchive& ar);	// overridden for document i/o
	#ifdef _DEBUG
		virtual	void AssertValid() const;
		virtual	void Dump(CDumpContext& dc) const;
	#endif
	protected:
		virtual	BOOL OnNewDocument();

	// Generated message map functions
	protected:
	//{{AFX_MSG(CCircleDoc)
	afx_msg void OnEditRed();
	afx_msg void OnEditGreen();
	afx_msg void OnEditBlue();
	afx_msg void OnUpdateEditRed(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditGreen(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditBlue(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	};

/////////////////////////////////////////////////////////////////////////////
